﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace DragDropRecordsBetweenGrids
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Window1 win = new Window1();
            win.Show();
        }

    }


    public class MainWidnowViewModel
    {
        public MainWidnowViewModel()
        {
            MainDataSouece = Emp.GenerateData(10);
        }

        public ObservableCollection<Emp> MainDataSouece { get; set; }
    }

    public class Window1ViewModel
    {
        public Window1ViewModel()
        {
            GridDataSouece = Emp.GenerateData(20);
        }

        public ObservableCollection<Emp> GridDataSouece { get; set; }
    }

    public class Emp
    {

        public int ID { get; set; }

        public string Gender { get; set; }


        public static ObservableCollection<Emp> GenerateData(int p)
        {
            ObservableCollection<Emp> list = new ObservableCollection<Emp>();

            for (int i = 0; i < p; i++)
            {
                list.Add(new Emp
                {
                    ID = i,
                    Gender = i % 2 == 0 ? "male" : "female"
                });
            }

            return list;
        }
    }

}
